<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\HomeController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ProductController;

//ADMIN ################################################################
use App\Http\Controllers\Admin\UsersController;
use App\Http\Controllers\Admin\RolesController;
use App\Http\Controllers\Admin\ElementsController;
use App\Http\Controllers\Admin\SubscriptionsController;
use App\Http\Controllers\Admin\RxproductsController;
use App\Http\Controllers\Admin\SubsproductsController;

//OPTIONS ################################################################
use App\Http\Controllers\Options\SubmonthsController;
use App\Http\Controllers\Options\PaymethodsController;

//TABLELIST ################################################################
use App\Http\Controllers\Tablelist\AllusersController;
use App\Http\Controllers\Tablelist\AllproductsController;

//TEMP ################################################################
use App\Http\Controllers\Temp\RxproducttempsController;
use App\Http\Controllers\Temp\SubsproducttempsController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth/login');
});

Auth::routes();

Route::get('/home', [HomeController::class, 'index'])->name('home');

Route::group(['middleware' => ['auth']], function() {
    Route::resource('roles', RoleController::class);
    Route::resource('users', UserController::class);
});

// ADMIN ####################################################################################################
Route::group(['middleware' => ['auth'], 'prefix' => 'admin', 'as' => 'admin.'], function () {
    Route::resource('users', UsersController::class);
    Route::resource('roles', RolesController::class);
    Route::resource('elements', ElementsController::class);
    Route::resource('permissions', PermissionsController::class);
    //Route::resource('permissions', 'Admin\PermissionsController');
    Route::resource('rxproducts', RxproductsController::class);
    Route::resource('subscriptions', SubscriptionsController::class);
    Route::resource('subsproducts', SubsproductsController::class);

});

Route::post('allusers', [UsersController::class, 'allusers'])->name('allusers');
Route::post('allroles', [RolesController::class, 'allroles'])->name('allroles');
Route::get('rxproductsimportview', [RxproductsController::class, 'importView'])->name('importView');
Route::get('updaterxproducts', [RxproductsController::class, 'updateimported'])->name('updaterxproducts');
Route::get('rxproductstatus', [RxproductsController::class, 'batchstatus'])->name('rxproductstatus');
Route::get('rxproductstatus2', [RxproductsController::class, 'batchstatus2'])->name('rxproductstatus2');
Route::get('deletebatchesrxproducts', [RxproductsController::class, 'deletebatches'])->name('deletebatchesrxproducts');

// OPTIONS ####################################################################################################
Route::group(['middleware' => ['auth'], 'prefix' => 'options', 'as' => 'options.'], function () {
    Route::resource('submonths', SubmonthsController::class);
    Route::resource('paymethods', PaymethodsController::class);
});

// TABLELIST ####################################################################################################
Route::group(['middleware' => ['auth'], 'prefix' => 'tablelist', 'as' => 'tablelist.'], function () {
    Route::resource('allusers', AllusersController::class);
    Route::resource('allproducts', AllproductsController::class);
});

// TEMP ####################################################################################################
Route::group(['middleware' => ['auth'], 'prefix' => 'temp', 'as' => 'temp.'], function () {
    Route::resource('rxproducttemps', RxproducttempsController::class);
    Route::resource('subsproducttemps', SubsproducttempsController::class);
});

Route::post('importrxproducttemps', [RxproducttempsController::class, 'import'])->name('importrxproducttemps');
Route::get('rxproductbatchstatus', [RxproducttempsController::class, 'batchstatus'])->name('rxproductbatchstatus');
Route::get('rxproductbatchstatus2', [RxproducttempsController::class, 'batchstatus2'])->name('rxproductbatchstatus2');
Route::get('deleteallrxproducttemps', [RxproducttempsController::class, 'deleteall'])->name('deleteallrxproducttemps');
Route::get('deletebatchesrxproducttemps', [RxproducttempsController::class, 'deletebatches'])->name('deletebatchesrxproducttemps');